Person Search Endpoint
Cost3 credits / Profile URLSearch for people who meet a set of criteria within our exhaustive dataset of people profiles.
This API endpoint can return at most 10,000,000 results per search.
Each search expression for a parameter is limited to a maximum of 255 characters. Search expressions follow the Boolean Search Syntax.
Authorization
BearerAuth clientIn: header
Scope: client
Query Parameters
Filter people located in this country. This parameter accepts a case-insensitive Alpha-2 ISO3166 country code.
Filter people whose first names match the provided search expression.
Filter people whose last names match the provided search expression.
Filter people with a field of study matching the provided search expression, based on education history.
Filter people who earned a degree matching the provided search expression, based on education history.
Filter people who have attended a school whose name matches the provided search expression, based on education history.
Filter people who have attended a school with a specific profile URL, based on education history.
Filter people who are currently working as a role whose title matches the provided search expression. You'll be looking for profiles that show a person's current job. However, keep in mind that some of these profiles may not be up-to-date, which means you might sometimes see a person's old job instead of their current job.
Filter people who have in the past worked as a role whose title matches the provided search expression.
Filter people who started their current role before this date. You'll be looking for profiles that show a person's current job. However, keep in mind that some of these profiles may not be up-to-date, which means you might sometimes see a person's old job instead of their current job. This parameter takes a ISO8601 date. Default value of this parameter is null.
Filter people who started their current role after this date. You'll be looking for profiles that show a person's current job. However, keep in mind that some of these profiles may not be up-to-date, which means you might sometimes see a person's old job instead of their current job. This parameter takes a ISO8601 date. Default value of this parameter is null.
Filter people who are currently working at a company represented by this Company Profile URL. Default value of this parameter is null.
Filter people who have in the past worked at the company represented by this Company Profile URL. This parameter takes a Company Profile URL. Default value of this parameter is null.
Filter people with current job descriptions matching the provided search expression.
Filter people with past job descriptions matching the provided search expression.
Filter people who are currently working at a company whose name matches the provided search expression.
Filter people who have previously worked at a company whose name matches the provided search expression.
Filter people who are members of groups whose names match the provided search expression.
Filter people who list a language matching the provided search expression.
Filter people located in a region matching the provided search expression. A “region” in this context means “state,” “province,” or similar political division, depending on what country you’re querying.
Filter people located in a city matching the provided search expression.
Filter people whose headline fields match the provided search expression.
Filter people whose summary fields match the provided search expression.
Person's inferred industry. May sometimes exist when current_company_industry does not, but current_company_industry should be preferred when it exists.
Filter people whose interest fields match the provided search expression.
Filter people whose skill fields match the provided search expression.
Filter people who are currently working at a company with an office based in this country. This parameter accepts a case-insensitive Alpha-2 ISO3166 country code.
Filter people who are currently working at a company based in a region matching the provided search expression.
Filter people who are currently working at a company based in a city matching the provided search expression.
Filter people who are currently working at a company of the provided type.
Possible values:
EDUCATIONAL: Educational InstitutionGOVERNMENT_AGENCY: Government AgencyNON_PROFIT: NonprofitPARTNERSHIP: PartnershipPRIVATELY_HELD: Privately HeldPUBLIC_COMPANY: Public CompanySELF_EMPLOYED: Self-EmployedSELF_OWNED: Sole Proprietorship
Filter people who are currently working at a company with a follower count of more than this value.
Filter people who are currently working at a company with a follower count less than this value.
Filter people who are currently working at a company belonging to an industry that matches the provided search expression. The industry attribute, found in a Company profile, describes the primary industry in which the company operates. The value of this attribute is an enumerator. See the full list of possible values for this attribute. We also infer a company's industry from various attributes. For example, the primary industry for https://www.linkedin.com/company/apple may be Computers and Electronics Manufacturing, but we may also classify it under Software Development. If you want to filter by the primary industry only, please refer to the current_company_primary_industry parameter.
Filter people who are currently working at a company belonging to an industry that matches the provided search expression. The industry attribute, found in a Company profile, describes the primary industry in which the company operates. The value of this attribute is an enumerator. See the full list of possible values for this attribute.
Filter people who are currently working at a company with at least this many employees.
Filter people who are currently working at a company with at most this many employees.
Filter people who are currently working at a company with a description matching the provided search expression.
Filter people who are currently working at a company that was founded after this year.
Filter people who are currently working at a company that was founded before this year.
Filter people who are currently working at a company that has raised at least this much (USD) funding amount.
Filter people who are currently working at a company that has raised at most this much (USD) funding amount.
Filter people who are currently working at a company that has raised funding after this date.
Filter people who are currently working at a company that has raised funding before this date.
Filter people who are currently working at a company with a domain name matching the provided search expression.
A list of public identifiers (the identifying portion of the person’s profile URL). The target person’s identifier must be a member of this list.
A list of public identifiers (the identifying portion of the person’s profile URL). The target person’s identifier must not be a member of this list.
Tune the maximum results returned per API call. The default value of this parameter is 100. Accepted values for this parameter is an integer ranging from 1 to 100. When enrich_profiles=enrich, this parameter accepts value ranging from 1 to 10.
Filter people with a follower count of more than this value.
Filter people with a follower count less than this value.
Get the person's complete profile data rather than just the URLs to their profiles.
Each request respond with a streaming response of profiles.
The valid values are:
skip(default): lists person's profile url onlyenrich: include person's profile data in the list
Calling this API endpoint with this parameter would add 1 credit per enriched result returned. A profile returned without enrichment will not incur any per-profile charges.
Define the freshness guarantee on the results returned. This parameter accepts the following values: if-present (default value) - Returns result as it is without any freshness guarantee if-recent - Will make a best effort to return results of profiles no older than 29 days. Costs 1 extra credit per result on top of the base cost of the endpoint for users on the Growth or larger subscription. For all other users, it will cost 2 extra credits per result on top of the base cost of the endpoint. Note: If usecache=if-recent, pagesize is limited to a value of 10 or smaller.
Response Body
application/json
curl -X GET "https://enrichlayer.com/api/v2/search/person?country=US&first_name=Bill+OR+Mark&last_name=Gates+or+Zuckerberg&education_field_of_study=computer+science&education_degree_name=MBA&education_school_name=%22Harvard+University%22&education_school_profile_url=https%3A%2F%2Fwww.linkedin.com%2Fschool%2Fnational-university-of-singapore%2F¤t_role_title=CEO+%7C%7C+Founder&past_role_title=founder¤t_role_before=2019-12-30¤t_role_after=2019-12-30¤t_company_profile_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fapple&past_company_profile_url=https%3A%2F%2Fwww.linkedin.com%2Fcompany%2Fapple¤t_job_description=education&past_job_description=education¤t_company_name=Stripe+OR+Apple&past_company_name=Stripe+OR+Apple&groups=haskell&languages=Mandarin+OR+Chinese®ion=California+or+Washington&city=Seattle+OR+%22Palo+Alto%22&headline=founder&summary=founder&industries=technology+and+software&interests=technology&skills=accounting¤t_company_country=US¤t_company_region=Texas¤t_company_city=Seattle+OR+%22Los+Angeles%22¤t_company_type=NON_PROFIT¤t_company_follower_count_min=100000¤t_company_follower_count_max=1000¤t_company_industry=higher+AND+education¤t_company_primary_industry=technology¤t_company_employee_count_min=1000¤t_company_employee_count_max=1000¤t_company_description=medical+device¤t_company_founded_after_year=1999¤t_company_founded_before_year=1999¤t_company_funding_amount_min=1000000¤t_company_funding_amount_max=1000000¤t_company_funding_raised_after=2019-12-30¤t_company_funding_raised_before=2019-12-30¤t_company_domain_name=pfizer.com&public_identifier_in_list=williamhgates%2Cjohnrmarty&public_identifier_not_in_list=mark-zuckerberg-618bba58%2Cjeff-bezos-879307323&page_size=10&follower_count_min=1000&follower_count_max=1000&enrich_profiles=enrich&use_cache=if-present"{
"results": [
{
"linkedin_profile_url": "https://www.linkedin.com/in/johnrmarty",
"profile": {
"public_identifier": "johnrmarty",
"profile_pic_url": "https://media.licdn.com/dms/image/C5603AQHaJSx0CBAUIA/profile-displayphoto-shrink_800_800/0/1558325759208?e=2147483647&v=beta&t=BluXpPg88xFnU2wMGLjuCUykSk_wKNdh8x3PI9wm6MI",
"background_cover_image_url": "https://media.licdn.com/dms/image/C5616AQH9tkBTUhHfng/profile-displaybackgroundimage-shrink_200_800/0/1614530499015?e=2147483647&v=beta&t=VEoCyedtZulnAVYWT9BXfKHi5OFp8avElNjiz8kjSTU",
"first_name": "John",
"last_name": "Marty",
"full_name": "John Marty",
"follower_count": null,
"occupation": "Co-Founder at Freedom Fund Real Estate",
"headline": "Financial Freedom through Real Estate - LinkedIn Top Voice",
"summary": "Most people go through life lost, disengaged, and unhappy at work and in their lives - I'm on a mission to solve that.\n\nI spent 10 years as the founder of Axxis Audio, an electronics company that grew to multi-million dollar sales, which I sold in 2012. At that time, I funneled my earnings into the creation of an Internet of Things company, but numerous factors lead to its demise after 2 hard fought years. \n\nAt 31, I was penny-less, had a baby on the way, and had zero job prospects (despite applying to 150 companies). My desperate situation led me to take a job at Best Buy for $12 an hour while reinventing myself through the completion of an MBA at the University of Colorado, and a 6-month software development boot camp. \n\nAfter graduation, I landed at American Express as a Senior Product Manager and then got poached by Amazon in 2017 (because of my LinkedIn profile). My journey has led to a deep sense of perspective, humility, and purpose that I draw on to help others find clarity, meaning, and happiness in their careers and lives. \n\nCheck out my website for details on my Mindset Reset Podcast, Public Speaking, Consulting, or my free 40 page LinkedIn guide\n\nhttp://www.johnraphaelmarty.com/\n\nFAQ's\n\nQ: Can you speak at my Company, University, event or podcast?\nA: I'd love to! I've shared my message on the future of employment, breaking into big tech, and my personal story of reinventing myself and discovering my sense of purpose (and how you can too!).\n\n☑️ YouTube Channel #1 (John Marty) : http://www.youtube.com/c/JohnMarty-uncommon\n☑️ YouTube Channel #2 (Tech Careers for non-engineers: https://www.youtube.com/channel/UC900gMMPLwRGGXSTW1gdZHA\n\nFUN FACTS:\n☑️ I am an Avid cyclist and runner, and I just started learning to skateboard a half-pipe.\n☑️ Into the Enneagram? - I'm a #3 (The Achiever)\n\nLETS CONNECT:\n☑️ Email: [email protected] (don't forget that \"R\"....The other guy gets my emails all the time)",
"country": "US",
"country_full_name": "United States of America",
"city": "Seattle",
"state": "Washington",
"experiences": [
{
"starts_at": {
"day": 1,
"month": 8,
"year": 2021
},
"ends_at": null,
"company": "Freedom Fund Real Estate",
"company_linkedin_profile_url": "https://www.linkedin.com/company/freedomfund",
"company_facebook_profile_url": null,
"title": "Co-Founder",
"description": "Our mission is to provide everyday people seeking financial freedom long before the age of 65 with the ability to invest in high yield, short-term real estate investments that were only accessible in the past for a select few wealthy individuals. Each of our single family rehab projects require a minimum investment contribution of only $10K, we have simple terms, no multi-year hold periods, and no fees. With our unique model investors can log into our easy to use website, select the projects that they want to invest in, and get realtime updates on the status of their investments.\nWebsite: https://www.freedomfundinvestments.com/home",
"location": null,
"logo_url": "https://media.licdn.com/dms/image/C560BAQEYxazZM_hXgQ/company-logo_100_100/0/1634934418976?e=2147483647&v=beta&t=wI0YdMmxIctkzvnKxRfuAbT8h5eok_DlUqEph68J37s"
},
{
"starts_at": {
"day": 1,
"month": 1,
"year": 2021
},
"ends_at": null,
"company": "Mindset Reset Podcast",
"company_linkedin_profile_url": "https://www.linkedin.com/company/mindset-reset-podcast",
"company_facebook_profile_url": null,
"title": "Founder",
"description": "We dive into the mindsets of the world’s foremost thought leaders and turn them into actionable insights so that others can discover greater happiness, success, and fulfillment.\nhttps://podcasts.apple.com/us/podcast/mindset-reset/id1553212607",
"location": "Denver, Colorado, United States",
"logo_url": "https://media.licdn.com/dms/image/C560BAQF9QJVQm3SOvA/company-logo_100_100/0/1614527476576?e=2147483647&v=beta&t=m3tx83nMN-E3XQFoJG0Wmch8U4qKnJ9i--5NSAfffC0"
}
],
"education": [
{
"starts_at": {
"day": 1,
"month": 1,
"year": 2013
},
"ends_at": {
"day": 31,
"month": 12,
"year": 2015
},
"field_of_study": "Finance + Economics",
"degree_name": "Master of Business Administration (MBA)",
"school": "University of Colorado Denver",
"school_linkedin_profile_url": "https://www.linkedin.com/school/university-of-colorado-denver/",
"school_facebook_profile_url": null,
"description": null,
"logo_url": "https://media.licdn.com/dms/image/C560BAQGVi9eAHgWxFw/company-logo_100_100/0/1673448029676?e=2147483647&v=beta&t=NG6ttckXvnS2DX3abTfVACRY2E9Q1EcryNaJLRbE9OE",
"grade": null,
"activities_and_societies": null
},
{
"starts_at": {
"day": 1,
"month": 1,
"year": 2015
},
"ends_at": {
"day": 31,
"month": 12,
"year": 2015
},
"field_of_study": "School of Software Development",
"degree_name": null,
"school": "Galvanize Inc",
"school_linkedin_profile_url": "https://www.linkedin.com/school/galvanize-it/",
"school_facebook_profile_url": null,
"description": "rails, ruby, rspec, capybara, bootstrap, css, html, api integration, Jquery, Javascript",
"logo_url": "https://media.licdn.com/dms/image/C560BAQFKNxOZ4X0g8Q/company-logo_100_100/0/1670610916338?e=2147483647&v=beta&t=t7ImfhmsuIJ7HJGHEbPJ2suxdslKhzp9v-5h9_G4sWE",
"grade": null,
"activities_and_societies": null
}
],
"languages": [
"English",
"Spanish"
],
"accomplishment_organisations": [],
"accomplishment_publications": [],
"accomplishment_honors_awards": [],
"accomplishment_patents": [],
"accomplishment_courses": [],
"accomplishment_projects": [
{
"starts_at": {
"day": 1,
"month": 3,
"year": 2015
},
"ends_at": null,
"title": "gMessenger",
"description": "gMessenger was built using Ruby on Rails, and the Bootstrap HTML, CSS, and JavaScript framework. It uses a Websocket-Rails integration to post a user's message content to the page in real time, with no page refresh required. gMessenger also includes custom authentication with three different permissions levels.",
"url": "http://gmessenger.herokuapp.com/"
},
{
"starts_at": {
"day": 1,
"month": 1,
"year": 2015
},
"ends_at": null,
"title": "Taskly",
"description": "A task and project management responsive web app utilizing Ruby on Rails - CSS and HTML",
"url": "https://hidden-coast-7204.herokuapp.com/"
}
],
"accomplishment_test_scores": [],
"volunteer_work": [],
"certifications": [
{
"starts_at": null,
"ends_at": null,
"name": "SAFe Agile Framework Practitioner - ( Scrum, XP, and Lean Practices in the SAFe Enterprise)",
"license_number": null,
"display_source": null,
"authority": "Scaled Agile, Inc.",
"url": null
},
{
"starts_at": null,
"ends_at": null,
"name": "SCRUM Alliance Certified Product Owner",
"license_number": null,
"display_source": null,
"authority": "Scrum Alliance",
"url": null
}
],
"connections": 500,
"people_also_viewed": [],
"recommendations": [
"Rebecca Canfield\n\n \n \n \n\n\n\n \n \n \n \n \n\n \n John Marty is a genius at his craft. He is skilled in the art of making people feel empowered to seek out roles that they are qualified for, ask for salaries that they deserve, and creates a kind of pay it forward lifestyle. John helps you to get to places that you only thought were possible for other people. Anyone that is fortunate enough to learn from John should consider themselves extremely lucky. I know I do. ",
"Zoe Sanoff\n\n \n \n \n\n\n\n \n \n \n \n \n\n \n John is so focused on helping guide you through an interview process not just for Amazon but on interviewing in general. I've generally done well at interviewing, my skills are top notch now. John is so focused on on his clients and really goes above and beyond. John is genuine, knowledgeable, well spoken and non-judgemental. He is so encouraging, so positive and really easy to talk to. Thank you John!"
],
"activities": [
{
"title": "Yesterday I toured a $1.2M property in California that has a large 13K sq ft lot with two homes on it. After 5 minutes of being on-site I…",
"link": "https://www.linkedin.com/posts/johnrmarty_financialfreedom-realestate-technology-activity-6940294635743301632-rsLo",
"activity_status": "Shared by John Marty"
}
],
"similarly_named_profiles": [
{
"name": "John Martinez",
"link": "https://www.linkedin.com/in/john-martinez-90384a229",
"summary": "Owner of Fight or Flight Medical Consultants, LLC , Owner Marty’s Hardwood Works",
"location": "San Antonio, TX"
},
{
"name": "John Marty",
"link": "https://www.linkedin.com/in/senatormarty",
"summary": null,
"location": "St Paul, MN"
}
],
"articles": [],
"groups": []
},
"last_updated": "2023-10-26T11:34:30Z"
}
],
"next_page": null,
"total_result_count": 1
}Company Search Endpoint GET
Search for companies that meet a set of criteria within our exhaustive dataset of company profiles. This API endpoint can return at most 10,000,000 results per search. Each search expression for a parameter is limited to a maximum of 255 characters. Search expressions follow the Boolean Search Syntax.
Cost3 credits / Company URL
Disposable Email Address Check Endpoint GET
Given an email address, checks if the email address belongs to a disposable email service.
Cost0 credit / successful request